package it.android.cs;

import android.app.Activity;
import android.content.Intent;
import android.database.Cursor;
import android.net.Uri;
import android.os.Bundle;
import android.provider.Contacts.People;
import android.provider.ContactsContract;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;

public class SMSClientActivity extends Activity implements OnClickListener {
    /** Called when the activity is first created. */
    Button select;
    EditText editContacts, editText;
    Button sendSMS;
    public final int PICK_CONTACT=1;
    
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        select=(Button)findViewById(R.id.button1);
        editContacts=(EditText)findViewById(R.id.editText);
        editText=(EditText)findViewById(R.id.editText2);
        sendSMS=(Button)findViewById(R.id.button2);
        
        select.setOnClickListener(this);
        sendSMS.setOnClickListener(this);
        
        
    }

	@Override
	public void onClick(View arg0) {
		// TODO Auto-generated method stub
		if (arg0==select) {
			Intent intent=new Intent(Intent.ACTION_PICK,ContactsContract.Contacts.CONTENT_URI);
			intent.setType("vnd.android.cursor.dir/phone");
			startActivityForResult(intent,PICK_CONTACT);
		} else if (arg0==sendSMS) {
			
			Intent intent=new Intent(Intent.ACTION_VIEW);
			//intent.setData(Uri.parse("sms:"));
			intent.setType("vnd.android-dir/mms-sms");
			intent.putExtra("sms_body",editText.getText().toString());
			intent.putExtra("address", editContacts.getText().toString());
			startActivity(intent);
		}
		
	}
	
	public void onActivityResult(int reqCode, int resultCode, Intent data) {
		super.onActivityResult(reqCode, resultCode, data);

        switch (reqCode) {
                case (PICK_CONTACT):
                        if (resultCode == Activity.RESULT_OK) {
                                Uri contactData = data.getData();
                                Cursor c = managedQuery(contactData, null, null, null, null);
                                if (c.moveToFirst()) {
                                        String name = c.getString(c.getColumnIndexOrThrow(People.NUMBER));
                                        editContacts.setText(name);
                                }
                        }
                        break;
        }
	}

}